View Issue Details

IDProjectCategoryView StatusLast Update
0006477Talermerchant backend API (C)public2020-09-11 22:24
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006477: already_paid_fulfillment_url is required by the public version of /orders/{order_id}
DescriptionOnly the storefront can really use the already_paid_order_id.

For the /orders/{order_id} HTML page (which in turn is making the /orders/{order_id} JSON request), the already_paid_order_id is not useful, as it can't really do anything with it. Instead, the backend should return the fulfillment URL corresponding to the already paid order ID.
TagsNo tags attached.

Activities

Christian Grothoff

2020-08-12 17:13

manager   ~0016591

Well, the fulfillment URLs must be _identical_ for both orders, as that's how we detect that they are for the same product.
So we can simply return god->fulfillment_url, right?

I've changed the code accordingly in ab1a421..326d73d -- please confirm and I'll update the spec.

Note that you will _always_ have the fulfillment URL, you still need to check if already_paid_order_id exists to determine that you can just redirect there.

Florian Dold

2020-08-18 09:35

manager   ~0016644

(I think this was resolved in a mumble discussion, but I didn't close it earlier. The spec looks good to me.)

Issue History

Date Modified Username Field Change
2020-08-11 21:12 Florian Dold New Issue
2020-08-11 21:12 Florian Dold Status new => assigned
2020-08-11 21:12 Florian Dold Assigned To => Christian Grothoff
2020-08-12 17:13 Christian Grothoff Note Added: 0016591
2020-08-12 17:13 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2020-08-12 17:13 Christian Grothoff Status assigned => feedback
2020-08-18 09:35 Florian Dold Status feedback => resolved
2020-08-18 09:35 Florian Dold Resolution open => fixed
2020-08-18 09:35 Florian Dold Note Added: 0016644
2020-09-11 22:24 Christian Grothoff Fixed in Version => 0.8
2020-09-11 22:24 Christian Grothoff Target Version => 0.8